#!/usr/bin/python
# -*- coding: utf-8 -*- 

# Copyright (C) 2010 by Homin Lee <ff4500@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

import os
import sys
import fontforge

def fixMonospaceToEvenwidth(font):
    PROPORTION = 3
    PROP_MONOSPACE = 9
    PROP_EVENWIDTH = 4
    panose = list(font.os2_panose)
    if panose[PROPORTION] == PROP_MONOSPACE:
        panose[PROPORTION] = PROP_EVENWIDTH
        font.os2_panose = tuple(panose)

def changeName(font):
    new_sfnt = []
    for idx in range(len(font.sfnt_names)):
        lang, prop, val = font.sfnt_names[idx]
        val = val.replace('NanumGothicCoding','MunanCoding')
        val = val.replace('나눔고딕코딩', '무난코딩')
        val = val.replace('2009 NHN Corporation', '2010 Homin Lee')
        val = val.replace('NHN Corporation', 'Homin Lee')
        val = val.replace('http://www.nhncorp.com', 'http://www.suapapa.net')
        new_sfnt.append((lang, prop, val))
    font.sfnt_names = list(new_sfnt)

if __name__ == "__main__":
    fonts = sys.argv[1:]
    for fontname in fonts:
        if not fontname.endswith('.ttf'): continue
        font = fontforge.open(fontname)
        fixMonospaceToEvenwidth(font)
        changeName(font)
        font.generate(fontname)

# vim: et sw=4
